Your message dated Thu, 03 Mar 2016 16:49:29 +0000
with message-id <e1abwrn-0008dk...@franck.debian.org>
and subject line Bug#810817: fixed in gradle 2.10-2
has caused the Debian Bug report #810817,
regarding gradle fails to install, because of circular dependency between maven 
core plugins
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
810817: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=810817
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: gradle
Version: 2.9-1
Severity: normal

Dear Maintainer,

While building Cascading (https://github.com/cwensel/cascading), gradle
fails to run the following task

  LC_ALL=en_US.UTF-8 gradle clean install -x test -x platformTest --stacktrace

(which works fine on Cascading's upstream CI suite), with the following
error message (abridged):

---------------------
:cascading-core:install FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':cascading-core:install'.
Could not publish configuration 'archives'
   > org.codehaus.plexus.PlexusContainerException: Cycle detected in component 
graph in the system:

* Try:
Run with --info or --debug option to get more log output.

* Exception is:
org.gradle.api.tasks.TaskExecutionException: Execution failed for task 
':cascading-core:install'.
        at 
org.gradle.api.internal.tasks.execution.ExecuteActionsTaskExecuter.executeActions(ExecuteActionsTaskExecuter.java:69)
        at 
org.gradle.api.internal.tasks.execution.ExecuteActionsTaskExecuter.execute(ExecuteActionsTaskExecuter.java:46)
        [........ ]
Caused by: 
org.codehaus.plexus.component.composition.CycleDetectedInComponentGraphException:
 Cyclic requirement detected
        at 
org.codehaus.plexus.component.composition.DefaultCompositionResolver.addComponentDescriptor(DefaultCompositionResolver.java:65)
        at 
org.codehaus.plexus.component.repository.DefaultComponentRepository.addComponentDescriptor(DefaultComponentRepository.java:229)
        at 
org.codehaus.plexus.DefaultComponentRegistry.addComponentDescriptor(DefaultComponentRegistry.java:126)
        at 
org.codehaus.plexus.DefaultPlexusContainer.addComponentDescriptor(DefaultPlexusContainer.java:514)
        at 
org.codehaus.plexus.DefaultPlexusContainer.discoverComponents(DefaultPlexusContainer.java:969)
        at 
org.codehaus.plexus.DefaultPlexusContainer.discoverComponents(DefaultPlexusContainer.java:941)
        at 
org.codehaus.plexus.DefaultPlexusContainer.initialize(DefaultPlexusContainer.java:560)
        ... 82 more
Caused by: org.codehaus.plexus.util.dag.CycleDetectedException:Edge between 'Vertex{label='org.apache.maven.plugin.version.PluginVersionResolver:default'}' and 'Vertex{label='org.apache.maven.plugin.MavenPluginManager:default'}' introduces to cycle in the graph org.apache.maven.plugin.MavenPluginManager:default --> org.apache.maven.plugin.version.PluginVersionResolver:default --> org.apache.maven.plugin.MavenPluginManager:default
        at org.codehaus.plexus.util.dag.DAG.addEdge(DAG.java:143)
        at org.codehaus.plexus.util.dag.DAG.addEdge(DAG.java:123)
        at 
org.codehaus.plexus.component.composition.DefaultCompositionResolver.addComponentDescriptor(DefaultCompositionResolver.java:60)
        ... 88 more


BUILD FAILED

----------------------

gradle 2.9-1 from Debian pulls in maven 3.3.9

When downloading gradle 2.10 binaries from https://www.gradle.com, the build as 
specified above proceeds fine.
Gradle.com's binaries include maven 3.0.4, whereas the Debian package 
libgradle-plugins-java requires libmaven3-core-java (>= 3.3.3).

Thanks in advance

        -- Cyrille


-- System Information:
Debian Release: 8.2
  APT prefers stable
  APT policy: (950, 'stable'), (850, 'testing'), (800, 'unstable'), (500, 
'stable-updates')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.3.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages gradle depends on:
ii  default-jre-headless [java7-runtime-headless]    2:1.7-52
ii  libgradle-core-java                              2.9-1
ii  libgradle-plugins-java                           2.9-1
ii  openjdk-7-jre-headless [java7-runtime-headless]  7u91-2.6.3-1~deb8u1
ii  openjdk-8-jre-headless [java7-runtime-headless]  8u72-b05-2

gradle recommends no packages.


Other packages of interest:

ii  maven                                            3.3.9-3
ii  libmaven3-core-java                              3.3.9-3




--- End Message ---
--- Begin Message ---
Source: gradle
Source-Version: 2.10-2

We believe that the bug you reported is fixed in the latest version of
gradle, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 810...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bourg <ebo...@apache.org> (supplier of updated gradle package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 03 Mar 2016 16:56:38 +0100
Source: gradle
Binary: gradle libgradle-core-java libgradle-plugins-java gradle-doc
Architecture: source all
Version: 2.10-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Java Maintainers 
<pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Emmanuel Bourg <ebo...@apache.org>
Description:
 gradle     - Powerful build system for the JVM
 gradle-doc - Powerful build system for the JVM - Documentations
 libgradle-core-java - Powerful build system for the JVM - Core libraries
 libgradle-plugins-java - Powerful build system for the JVM - All plugins
Closes: 810817
Changes:
 gradle (2.10-2) unstable; urgency=medium
 .
   * Team upload.
   * Fixed the CycleDetectedException when installing Maven artifacts.
     Thanks to Mikolaj Izdebski for the patch. (Closes: #810817)
   * Removed disable_java9.diff (no longer required)
   * Removed 26_disable_commitid.diff (not required)
   * Replaced disable_release_notes.diff with a task exclusion parameter
   * Moved aether dependencies changes to eclipse-aether.diff
   * Merged maven-aether-provider.diff into eclipse-aether.diff
   * Merged maven_builder_support.diff into maven-3.3.9-compatibility.patch
   * Removed unnecessary changes performed by use_local_artifacts.diff
   * Standards-Version updated to 3.9.7 (no changes)
   * Use a secure Vcs-Git URL
Checksums-Sha1:
 a1532e459d5ef719b694eac16e3f10c481ad9867 3352 gradle_2.10-2.dsc
 a230b980e16d938841468720b3708e13f214a0fc 28968 gradle_2.10-2.debian.tar.xz
 d6969f175485913d34a07c3fdee1b6233862c659 4446320 gradle-doc_2.10-2_all.deb
 4f3740b3710776753bd080d1e934bad0e9de12b6 637584 gradle_2.10-2_all.deb
 d6591bf06d67098af34f32b30fcbea862245c17e 2978988 
libgradle-core-java_2.10-2_all.deb
 a957987d3c9944bddfe6d622d26b8473d0bc937f 5021644 
libgradle-plugins-java_2.10-2_all.deb
Checksums-Sha256:
 e13a7cc442ea1348e1fcaf8cbdad1ebd76a7d81ce3f6ff7f707cd736d3284ad3 3352 
gradle_2.10-2.dsc
 225e8d6f8bc7236455e4d81cd946a0ba9ab7e6850ed0d6992f4518579423a0c4 28968 
gradle_2.10-2.debian.tar.xz
 e903c06c28324e3f5e1d265f69be6bc65859fdacdbdc27ad3573b22ab2e8f764 4446320 
gradle-doc_2.10-2_all.deb
 cefc5042f4a0b27a8dd12d9d5f9e8ed3469298188365b46ea03f611b21ab9465 637584 
gradle_2.10-2_all.deb
 ded820b857cb797eb8de7ee8a0289844cc6c61dd501084c67cfb1d6ed788a6ab 2978988 
libgradle-core-java_2.10-2_all.deb
 163952cf7b395c71a494ba3e0d5ea8b847c62f67975d6ddd234078cb34adba0f 5021644 
libgradle-plugins-java_2.10-2_all.deb
Files:
 999cb455d75dfa41b6469a38e5371075 3352 java optional gradle_2.10-2.dsc
 0e7fbf0538896d3de436ba8833dab4f5 28968 java optional 
gradle_2.10-2.debian.tar.xz
 f828c21c60d4e046f4504de7f1014a90 4446320 doc optional gradle-doc_2.10-2_all.deb
 b5a291c0d60d3ed5f99e8fe89d9ef902 637584 java optional gradle_2.10-2_all.deb
 3dae27d5509648dcce6f6dcd9ad1a6d2 2978988 java optional 
libgradle-core-java_2.10-2_all.deb
 7e8ca4d166f5fa4ed59f08ab577e3ff1 5021644 java optional 
libgradle-plugins-java_2.10-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJW2GRJAAoJEPUTxBnkudCsPCcQAKZESqrDFrFRs82p/uI+oDBs
180GC2W/NGRBvIUK6Zstc6g6sLjt7rQX+Wgu4Q2f64vdlAdcm7m4Kv02/a9Zwk23
bHmVCKTSBhs/Xrn5CZE9E7RZVa3RO31l7aamcay2mketve3r4ucYyPI4NA1x+4Mp
s1Rgn/sX1ZdzuUQxRa6FYnZd0rKKTYw4eVqb8jdB6kDGrlc6Iax26SfIkzB/H/x+
S4tybJmiZsQ4GOzMx0YtExZWaP7jXxQwagLBVJ1U+I1/i6IXA6wxHDmHjFklmuso
M65RVTYWskbjc7frPPNV383Hm4gE6trjyOI7vvr2g70gdOKFyVjAYpGlkW9TKxkx
/1fgS4vZX4zoHZegugLBsTapNNPmTr1G5kvwxpSfZZGXan5btl/7r03+YZ24Lo9O
5wOb4hV3UFhSB8oCcU9MSjAlPf2507CGGiqnfUacFPjdxzbQSTqtyD2O3Bm3Y/Z6
rm885ziphvzJ8mCR0SmOi6ThQULyTcvCh20MzShpiVedBLleCqxe7SlEx7F4Rafl
sYNAzW+XkcoPqD+Ynh39Fk0veEeROoaPo5ZibnPNDNCpXAIznHIOvEvFzWWX8Zjp
Lg32tjh/nK7LOPZkxor/naTXrKhvSlcxXfAyBSZMqG5DSRtsDAzecMFt6l9vhFx1
6O0PVzJz4OtE8aw2qWw9
=j601
-----END PGP SIGNATURE-----

--- End Message ---
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to